[Qa-jenkins-scm] [jenkins.debian.net] 01/03: reproducible Debian: check whether /dev/shm is available

Holger Levsen holger at layer-acht.org
Sat Jan 7 11:01:01 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit d8b35689ceac1c2f3ccfac19447a836b3aeecf7f
Author: Holger Levsen <holger at layer-acht.org>
Date:   Sat Jan 7 11:15:15 2017 +0100

    reproducible Debian: check whether /dev/shm is available
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_maintenance.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index e4e0958..58f1df3 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -57,6 +57,13 @@ if [ $? -ne 0 ] ; then
 	irc_message debian-reproducible "Proxy is down for $HOSTNAME, please tell the jenkins admins to fix this. (sudo service squid3 restart)"
 	exit 1
 fi
+# check for /dev/shm being mounted
+echo "$(date -u) - testing whether /dev/shm is mounted..."
+mount | grep -q "^tmpfs on /dev/shm"
+if [ $? -ne 0 ] ; then
+	irc_message debian-reproducible "/dev/shm is not mounted correctly on $HOSTNAME, please tell the jenkins admins to fix this. (by adding 'none /dev/shm tmpfs rw,nosuid,nodev,noexec 0 0' to /etc/fstab"
+	exit 1
+fi
 
 echo "$(date -u) - updating the schroots and pbuilder now..."
 # use host architecture (only)

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list